%define majver %(echo %version | cut -d. -f1-3)
%define gittag %(echo %version | cut -d. -f5)

%define _qt5_prefix         %{_libdir}/qt5
%define _qt5_bindir         %{_qt5_prefix}/bin
%define _qt5_datadir        %{_datadir}/qt5
%define _qt5_demosdir       %{_qt5_prefix}/demos
%define _qt5_docdir         %{_qt5_datadir}/doc
%define _qt5_examplesdir    %{_qt5_prefix}/examples
%define _qt5_headerdir      %{_includedir}/qt5
%define _qt5_libdir         %{_libdir}
%define _qt5_plugindir      %{_qt5_prefix}/plugins
%define _qt5_sysconfdir     %{_sysconfdir}/xdg
%define _qt5_translationdir %{_qt5_datadir}/translations

%define USE_DISTCC   0

%if "%{USE_DISTCC}" == "1"
%define DISTCC CC="ccache distcc" CXX="ccache distcc" -j 12
%endif

Name:          qt5-qtbase
Version:       5.15.7.20221105.f8472fd9
Release:       1mamba
Summary:       A multiplatform, C++ GUI application development framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source0:       https://invent.kde.org/qt/qt/qtbase.git/v%{majver}-lts-lgpl@%{gittag}/qtbase-%{version}.tar.bz2
#Source0:       https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtbase-everywhere-src-%{version}.tar.xz
Source1:       libqt5-profile.sh
Source2:       libqt5-profile.csh
Source10:      libqt5-qt5logo-icon64x64.png
Source11:      libqt5-development-qt5.menu
Source12:      libqt5-development-qt5.directory
Patch0:        libqt5-5.0.2-gcc-4.8.patch
Patch1:        libqt5-5.1.1-bison-3.0.patch
Patch2:        libqt5-5.4.1-glib-2.43.patch
Patch3:        libqt5-5.5.1-vlc.patch
Patch4:        libqt5-5.11.2-glibc-2.28.patch
Patch5:        libqt5-5.15.0-arm-missing-math-include.patch
Patch6:        qt5-qtbase-5.15.2-gcc11.patch
Patch7:        qt5-qtbase-5.15.2.20220127git-revert-version-bump.patch
Patch8:        qt5-qtbase-5.15.7.20221105.f8472fd9-private_api_warning.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetds-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libinput-devel
BuildRequires: libjpeg-devel
BuildRequires: libkrb5-devel
BuildRequires: libmariadb-devel
BuildRequires: libmesa-devel
BuildRequires: libmtdev-devel
BuildRequires: libodbc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libpostgresql-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libts-devel
BuildRequires: libudev-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-image-devel
BuildRequires: libxcb-keysyms-devel
BuildRequires: libxcb-render-util-devel
BuildRequires: libxcb-util-wm-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-proto-devel
%if "%{USE_DISTCC}" == "1"
BuildRequires: distcc
BuildRequires: ccache >= 2.3
%endif
BuildRequires: libclang >= 13.0.0

%description
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.

%package common
Group:         System/Libraries
Summary:       Qt5 common files
Provides:      libqt5-common
Obsoletes:     libqt5-common <= 5.15.2-1mamba

%description common
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains common files used by different subpackages.

%package plugins
Group:         System/Libraries
Summary:       Qt5 plugins
Provides:      libqt5-plugins
Obsoletes:     libqt5-plugins <= 5.15.2-1mamba

%description plugins
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains all plugins that don't have their own package yet.

%package -n libQt5Core
Group:         System/Libraries
Summary:       Qt5 core library
%if "%{_qt5_libdir}" != "%{_libdir}"
Prereq:        /etc/ld.so.conf.d
%endif
#Provides:      libqt = %{version}
#Provides:      libqt5 = %{version}
#Provides:      qt = %{version}
#Provides:      qt5 = %{version}
#Provides:      qt5-x11 = %{version}
#Provides:      libqt5
#Requires:      libicu
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Core
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the core library.

%package -n libQt5Concurrent
Group:         System/Libraries
Summary:       Qt5 Concurrent library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Concurrent
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Qt5Concurrent library.

%package -n libQt5DBus
Group:         System/Libraries
Summary:       Qt5 DBus library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5DBus
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the DBus library.

%package -n libQt5EglFsKmsSupport
Group:         System/Libraries
Summary:       Qt5 Egl Fs Kms Support library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5EglFsKmsSupport
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Egl Fs Kms Support library.

%package -n libQt5EglFSDeviceIntegration
Group:         System/Libraries
Summary:       Qt5 Egl FS Device Integration library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5EglFSDeviceIntegration
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Egl FS Device Integration library.

%package -n libQt5Gui
Group:         System/Libraries
Summary:       Qt5 GUI library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Gui
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Gui library.

%package -n libQt5Network
Group:         System/Libraries
Summary:       Qt5 network library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Network
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the network library.

%package -n libQt5OpenGL
Group:         System/Libraries
Summary:       Qt5 OpenGL library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5OpenGL
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the OpenGL library.

%package -n libQt5PrintSupport
Group:         System/Libraries
Summary:       Qt5 print support library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5PrintSupport
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Qt5 print support library.

%package -n libQt5Sql
Group:         System/Libraries
Summary:       Qt5 SQL library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Sql
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the SQL library.

%package -n libQt5Test
Group:         System/Libraries
Summary:       Qt5 test library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Test
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the test library.

%package -n libQt5WebSockets
Group:         System/Libraries
Summary:       Qt5 Web Sockets library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5WebSockets
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Web Sockets library.

%package -n libQt5Widgets
Group:         System/Libraries
Summary:       Qt5 Widgets library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Widgets
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Widgets library.

%package -n libQt5XcbQpa
Group:         System/Libraries
Summary:       Qt5 Xcb Qpa library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5XcbQpa
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Xcb Qpa library.

%package -n libQt5Xml
Group:         System/Libraries
Summary:       Qt5 Xml library
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description -n libQt5Xml
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Xml library.

%package devel
Group:         Development/Libraries
Summary:       Development files for Qt5 base libraries
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Concurrent = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5DBus = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5EglFsKmsSupport = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5EglFSDeviceIntegration = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Gui = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Network = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5OpenGL = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5PrintSupport = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Test = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Widgets = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5XcbQpa = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libQt5Xml = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-gtk3 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-postgresql = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-mysql = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-odbc = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-sqlite = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt5-plugins = %{?epoch:%epoch:}%{version}-%{release}
%ifnarch aarch64
Requires:      libqt5-tds = %{?epoch:%epoch:}%{version}-%{release}
%endif

%description devel
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the development files.

%package apidocs
Group:         Documentation
Summary:       API documentation for the QT libraries
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
API documentation for the QT libraries.

%package examples
Group:         Documentation
Summary:       Examples provided with QT libraries

%description examples
Examples provided with QT libraries.

%package gtk3
Group:         System/Libraries
Summary:       Gtk2 platform theme plugin for QT libraries
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libqt5-gtk2
Obsoletes:     libqt5-gtk2 < 5.15.2
Provides:      libqt5-gtk3
Obsoletes:     libqt5-gtk3 <= 5.15.2-1mamba

%description gtk3
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Gtk3 platform theme plugin.

%package postgresql
Group:         System/Libraries
Summary:       PostgreSQL plugin for QT libraries
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libqt5-postgresql
Obsoletes:     libqt5-postgresql <= 5.15.2-1mamba

%description postgresql
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the PostgreSQL plugin.

%package mysql
Group:         System/Libraries
Summary:       MySQL plugin for QT libraries
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libqt5-mysql
Obsoletes:     libqt5-mysql <= 5.15.2-1mamba

%description mysql
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the MySQL plugin.

%package odbc
Group:         System/Libraries
Summary:       ODBC plugin for QT libraries
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libqt5-odbc
Obsoletes:     libqt5-odbc <= 5.15.2-1mamba

%description odbc
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains thev ODBC plugin.

%package sqlite
Group:         System/Libraries
Summary:       SQLite plugin for QT libraries
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-sqlite3
Provides:      libqt5-sqlite
Obsoletes:     libqt5-sqlite <= 5.15.2-1mamba

%description sqlite
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the SQLite plugin.

%package tds
Group:         System/Libraries
Summary:       Sybase and Microsoft SQL plugin for QT libraries
Requires:      libQt5Sql = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libqt5-tds
Obsoletes:     libqt5-tds <= 5.15.2-1mamba

%description tds
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the Sybase and Microsoft SQL plugin.

# Don't clean build at the end
%global __spec_rmbuild_cmd /bin/true

%debug_package

%prep
%setup -q -n qtbase-%{version}
#-D -T
#:<< _EOF
#%patch5 -p1
%patch6 -p1 -b .gcc11
#%patch7 -p1 -b .revert-version-bump
%patch8 -p1 -b .private_api_warning

# .git required for confiugre to call syncqt and generate includes dir
touch .git

%build
#:<< _EOF
unset QMAKESPEC

./configure \
   -opensource \
   -confirm-license \
   -prefix %{_prefix} \
   -bindir %{_qt5_bindir} \
   -datadir %{_qt5_datadir} \
   -examplesdir %{_qt5_examplesdir} \
   -headerdir %{_qt5_headerdir} \
   -archdatadir %{_qt5_prefix} \
   -libdir %{_qt5_libdir} \
   -docdir %{_qt5_docdir} \
   -plugindir %{_qt5_plugindir} \
   -sysconfdir %{_qt5_sysconfdir} \
   -translationdir %{_qt5_translationdir} \
   -system-libjpeg \
   -system-libpng \
   -system-sqlite \
   -system-zlib \
   -system-harfbuzz \
   -system-proxies \
   -dbus-linked \
   -journald \
   -openssl-linked \
   %{!?build_openvg:-no-openvg} \
   %{!?build_qtwebengine:-skip qtwebengine} \
   -sm \
   -nomake examples \
   -no-rpath \
   -no-sql-sqlite2 \
   -plugin-sql-mysql \
   -plugin-sql-psql \
   -plugin-sql-sqlite \
%ifarch %{ix86}
   -no-sse2 \
%endif
%ifarch arm
   -egl \
   -no-feature-renameat2 \
   -no-feature-getentropy \
%endif
   -release \
   -shared \
   -cups \
   -fontconfig \
   -optimized-qmake \
%ifarch arm
   -opengl es2 \
%else
   -opengl \
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
unset QMAKESPEC
make install INSTALL_ROOT=%{buildroot}

install -D -m755 %{S:1} \
   %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -D -m755 %{S:2} \
   %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

install -D -m644 %{S:10} \
   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/qt5-logo.png
install -D -m644 %{S:11} \
   %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/development-qt5.menu
install -D -m644 %{S:12} \
   %{buildroot}%{_datadir}/desktop-directories/development-qt5.directory

# install examples
# The various example dirs have conflicting .pro files, but
# QtCreator requires them to be in the same top-level directory.
# Matching the Qt5 installer, only the qtbase project is kept.
install -d -m0755 %{buildroot}%{_qt5_prefix}/examples
cp examples/examples.pro %{buildroot}%{_qt5_prefix}/examples/

_fdirs=$(find . -maxdepth 2 -type d -name examples)
for _dir in $_fdirs; do
   _mod=$(basename ${_dir%/examples})
   if [ -e $_dir/README ]; then
      cp $_dir/README $_dir/README.$_mod
   fi
   if [ -e $_dir/examples.pro ]; then
      cp $_dir/examples.pro $_dir/examples_$_mod.pro
   fi
   cp -rn $_dir/* %{buildroot}%{_qt5_prefix}/examples/
done

# link binaries to bindir
%if "%{_qt5_bindir}" != "%{_bindir}"
install -d %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt5_bindir}
for f in *; do
   ln -sf %{_qt5_bindir}/$f %{buildroot}%{_bindir}/${f}
   ln -sf %{_qt5_bindir}/$f %{buildroot}%{_bindir}/${f}-qt5
done
popd
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_qt5_libdir}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%endif

%if "%{_qt5_libdir}" == "%{_libdir}"
install -d -m0755 %{buildroot}%{_qt5_prefix}/lib
pushd %{buildroot}%{_libdir}
for f in *.so; do
   ln -sf %{_qt5_libdir}/$f %{buildroot}%{_qt5_prefix}/lib/${f}
done
ln -sf %{_qt5_libdir}/libGL.so %{buildroot}%{_qt5_prefix}/lib/libGL.so
popd
%endif

# install file with rpm macros
install -d %{buildroot}%{_sysconfdir}/rpm
echo "\
%%_qt5_version        %{version}
%%_qt5_prefix         %%{_libdir}/qt5
%%_qt5_bindir         %%{_qt5_prefix}/bin
%%_qt5_datadir        %%{_datadir}/qt5
%%_qt5_demosdir       %%{_qt5_prefix}/demos
%%_qt5_docdir         %%{_qt5_datadir}/doc
%%_qt5_examplesdir    %%{_qt5_prefix}/examples
%%_qt5_headerdir      %%{_includedir}/qt5
%%_qt5_libdir         %%{_libdir}
%%_qt5_plugindir      %%{_qt5_prefix}/plugins
%%_qt5_sysconfdir     %%{_sysconfdir}/xdg
%%_qt5_translationdir %%{_qt5_datadir}/translations
%%_qt5_qmake          %%{_qt5_bindir}/qmake" \
   > %{buildroot}%{_sysconfdir}/rpm/macros.qt5

%if "%{build_qtwebengine}" != "1"
rm -f %{buildroot}%{_qt5_translationdir}/qtwebengine_*.qm
%endif

# Workaround for qmake creating wrong .la files (since 5.13.0)
rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post   -n libQt5Concurrent -p /sbin/ldconfig
%postun -n libQt5Concurrent -p /sbin/ldconfig

%post   -n libQt5Core -p /sbin/ldconfig
%postun -n libQt5Core -p /sbin/ldconfig

%post   -n libQt5DBus -p /sbin/ldconfig
%postun -n libQt5DBus -p /sbin/ldconfig

%post   -n libQt5EglFsKmsSupport -p /sbin/ldconfig
%postun -n libQt5EglFsKmsSupport -p /sbin/ldconfig

%post   -n libQt5EglFSDeviceIntegration -p /sbin/ldconfig
%postun -n libQt5EglFSDeviceIntegration -p /sbin/ldconfig

%post   -n libQt5Gui -p /sbin/ldconfig
%postun -n libQt5Gui -p /sbin/ldconfig

%post   -n libQt5Network -p /sbin/ldconfig
%postun -n libQt5Network -p /sbin/ldconfig

%post   -n libQt5OpenGL -p /sbin/ldconfig
%postun -n libQt5OpenGL -p /sbin/ldconfig

%post   -n libQt5PrintSupport -p /sbin/ldconfig
%postun -n libQt5PrintSupport -p /sbin/ldconfig

%post   -n libQt5Sql -p /sbin/ldconfig
%postun -n libQt5Sql -p /sbin/ldconfig

%post   -n libQt5Test -p /sbin/ldconfig
%postun -n libQt5Test -p /sbin/ldconfig

%post   -n libQt5WebSockets -p /sbin/ldconfig
%postun -n libQt5WebSockets -p /sbin/ldconfig

%post   -n libQt5Widgets -p /sbin/ldconfig
%postun -n libQt5Widgets -p /sbin/ldconfig

%post   -n libQt5XcbQpa -p /sbin/ldconfig
%postun -n libQt5XcbQpa -p /sbin/ldconfig

%post   -n libQt5Xml -p /sbin/ldconfig
%postun -n libQt5Xml -p /sbin/ldconfig

%files common
%defattr(-,root,root)
%{_sysconfdir}/xdg/menus/applications-merged/development-qt5.menu
%if "%{_qt5_libdir}" != "%{_libdir}"
%dir %{_qt5_libdir}
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%endif
%{_datadir}/icons/hicolor/*/apps/qt5-logo.png
%{_datadir}/desktop-directories/development-qt5.directory
#%doc LICENSE.*

%files plugins
%defattr(-,root,root)
%dir %{_qt5_plugindir}
# TODO: move plugins to more appropriate library packages
%{_qt5_plugindir}/bearer/
%{_qt5_plugindir}/generic/
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts/
%{_qt5_plugindir}/platforms/
%{_qt5_plugindir}/platformthemes/
%dir %{_qt5_plugindir}/xcbglintegrations
%ifnarch arm
%{_qt5_plugindir}/xcbglintegrations/libqxcb-glx-integration.so
%endif
%{_libdir}/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
%exclude %{_qt5_plugindir}/platformthemes/libqgtk3.so
#%ifarch arm
#%{_qt5_plugindir}/video/videonode/libeglvideonode.so
#%endif

%files -n libQt5Core
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Core.so.*
%{_libdir}/metatypes/qt5core_metatypes.json

%files -n libQt5Concurrent
%defattr(-,root,root)
%{_libdir}/libQt5Concurrent.so.*

%files -n libQt5DBus
%defattr(-,root,root)
%{_bindir}/qdbus*
%{_qt5_bindir}/qdbus*
%{_qt5_libdir}/libQt5DBus.so.*

%files -n libQt5EglFsKmsSupport
%defattr(-,root,root)
%{_qt5_libdir}/libQt5EglFsKmsSupport.so.*

%files -n libQt5EglFSDeviceIntegration
%defattr(-,root,root)
%{_libdir}/libQt5EglFSDeviceIntegration.so.*
%{_libdir}/qt5/plugins/egldeviceintegrations/libqeglfs-*-integration.so

%files -n libQt5Gui
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Gui.so.*
%{_libdir}/metatypes/qt5gui_metatypes.json

%files -n libQt5Network
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Network.so.*

%files -n libQt5OpenGL
%defattr(-,root,root)
%{_qt5_libdir}/libQt5OpenGL.so.*

%files -n libQt5PrintSupport
%defattr(-,root,root)
%{_qt5_libdir}/libQt5PrintSupport.so.*
%{_qt5_plugindir}/printsupport/libcupsprintersupport.so

%files -n libQt5Sql
%defattr(-,root,root)
%dir %{_qt5_plugindir}/sqldrivers
%{_qt5_libdir}/libQt5Sql.so.*

%files -n libQt5Test
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Test.so.*

%files -n libQt5Widgets
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Widgets.so.*
%{_qt5_libdir}/metatypes/qt5widgets_metatypes.json

%files -n libQt5Xml
%defattr(-,root,root)
%{_qt5_libdir}/libQt5Xml.so.*

%files -n libQt5XcbQpa
%defattr(-,root,root)
%{_libdir}/libQt5XcbQpa.so.*

%files devel
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.qt5
%{_sysconfdir}/profile.d/%{name}.csh
%{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/fixqt4headers.pl*
%{_bindir}/syncqt.pl*
%{_bindir}/moc*
%{_bindir}/qmake*
%{_bindir}/qlalr*
%{_bindir}/qvkgen*
%{_bindir}/rcc*
%{_bindir}/tracegen*
%{_bindir}/uic*
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_bindir}/qmake
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/qvkgen
%{_qt5_bindir}/moc
%{_qt5_bindir}/rcc
%{_qt5_bindir}/syncqt.pl
%{_qt5_bindir}/tracegen
%{_qt5_bindir}/uic
%if "%{_qt5_headerdir}" != "%{_includedir}"
%dir %{_qt5_headerdir}
%endif
%dir %{_qt5_headerdir}/Qt*
%{_qt5_headerdir}/Qt*/*
%{_qt5_libdir}/libQt5*.a
%{_qt5_libdir}/libQt5*.so
%{_qt5_libdir}/libQt5*.prl
%dir %{_qt5_prefix}/lib/
%{_qt5_prefix}/lib/*.so
%{_qt5_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/Qt5*
%{_libdir}/cmake/Qt5*/*
%dir %{_qt5_prefix}/mkspecs/
%{_qt5_prefix}/mkspecs/*

%files apidocs
%defattr(-,root,root)
%{_qt5_docdir}/

%files examples
%defattr(-,root,root)
%dir %{_qt5_examplesdir}
%{_qt5_examplesdir}/*

%files gtk3
%defattr(-,root,root)
%{_qt5_plugindir}/platformthemes/libqgtk3.so

%files postgresql
%defattr(-,root,root)
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%files mysql
%defattr(-,root,root)
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%files odbc
%defattr(-,root,root)
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%files sqlite
%defattr(-,root,root)
%{_qt5_plugindir}/sqldrivers/libqsqlite.so

%ifnarch aarch64
%files tds
%defattr(-,root,root)
%{_qt5_plugindir}/sqldrivers/libqsqltds.so
%endif

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7.20221105.f8472fd9-1mamba
- update to 5.15.7.20221105.f8472fd9

* Fri Nov 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Wed Feb 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2.20220127git-1mamba
- update to 5.15.2.20220127git

* Thu Nov 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- first build as submodule

* Fri Nov 20 2020 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.1-2mamba
- added libqt5-examples package
- build with clang 11.0.0

* Thu Sep 10 2020 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Sun Nov 03 2019 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.1-2mamba
- x86_64,i586: remove -force-debug-info to reduce debug package size

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sun Aug 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-3mamba
- fix problems in lib installation path (in .la files) by deleting them

* Fri Jul 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-2mamba
- add .so symlinks to %{_qt5_prefix}/lib/

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Sat Mar 16 2019 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Mon Dec 31 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-2mamba
- fix for source and new packages

* Sun Dec 30 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Fri Nov 02 2018 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Fri Jul 20 2018 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Tue Jun 05 2018 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Tue Feb 13 2018 Automatic Build System <autodist@mambasoft.it> 5.10.1-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.0-1mamba
- update to 5.10.0

* Wed Oct 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.2-2mamba
- libqt5-devel: removed requirement for libQt5Clucene

* Tue Oct 17 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.2-1mamba
- update to 5.9.2

* Fri Dec 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.1-1mamba
- update to 5.7.1

* Mon Dec 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.0-2mamba
- rebuilt without Qt5WebEngine packaged apart; new subpackage libQt5WebView

* Tue Jun 21 2016 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Wed Jun 08 2016 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Thu May 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- cleanups for now externally provided libQt5WebKit

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Sun Feb 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.1-2mamba
- upstream patch backport to fix vlc full screen

* Tue Nov 17 2015 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- automatic version update by autodist

* Sun Oct 11 2015 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Sat Jun 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.2-2mamba
- don't obsolete libqt5 to hopefully fix multiarch smart loop

* Mon Jun 08 2015 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Fri May 01 2015 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.0-2mamba
- refreshed configure options
- disabled build of qtwebengine on 32 bit archs (chromium 32-bit link memory well known problem)

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Wed Sep 17 2014 Automatic Build System <autodist@mambasoft.it> 5.3.2-1mamba
- automatic version update by autodist

* Thu Jun 26 2014 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.1-2mamba
- rebuilt with libxcb 1.10

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Fri Dec 20 2013 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Tue Jul 09 2013 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 5.0.2-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist
- libQtCore: provide libqt = %{version} and libqt4 = %{version} (source edit)

* Fri Jul 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.2-3mamba
- keep -egl switch only on arm. keep on well tested glx on x86 desktops
- enable OpenVG support (with Mesa >= 8.0.4-2mamba)

* Mon Jul 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.2-2mamba
- install libwebcore.a and libjscore.arequired by libQtWebKit

* Wed Jun 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.2-1mamba
- update to 4.8.2

* Fri Apr 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-2mamba
- add explicit requirement for dynamically requested libicu library
- split libraries into their own subpackage; libQtCore obsoletes libqt4

* Wed Apr 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-1mamba
- update to 4.8.1

* Sun Dec 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.4-5mamba
- move libQtDesigner* to libQt4 and libQt4-devel packages to avoid installing libqt4-designer for non-devel environments

* Tue Dec 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.4-4mamba
- rebuilt using EGL

* Tue Sep 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.4-3mamba
- explicitly disable OpenVG until build system is fixed in Mesa (it requires gallium EGL which is disabled)

* Sat Sep 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.4-2mamba
- rebuilt with openVG support

* Wed Sep 07 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.7.4-1mamba
- update to 4.7.4

* Wed May 04 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic update by autodist
- libqt4-phonon: provide phonon_backend

* Sat Mar 05 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic update to 4.7.1 by autodist

* Sat Oct 16 2010 Automatic Build System <autodist@mambasoft.it> 4.7.0-2mamba
- automatic rebuild by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic update by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.3-3mamba
- rebuilt to fix libpng mismatch error

* Thu Jul 01 2010 Automatic Build System <autodist@mambasoft.it> 4.6.3-2mamba
- automatic rebuild by autodist

* Tue Jun 08 2010 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic update to 4.6.3 by autodist

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.2-2mamba
- also create link to /usr/bin without -qt4 suffix to make them preferred to qt3's by default

* Mon Feb 15 2010 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic update to 4.6.2 by autodist

* Wed Jan 27 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.6.1-2mamba
- provide the debug package

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic update to 4.6.1 by autodist

* Thu Jan 07 2010 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Sat Oct 10 2009 Automatic Build System <autodist@mambasoft.it> 4.5.3-1mamba
- update to 4.5.3

* Mon Oct 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.2-2mamba
- rebuilt with libjpeg 7

* Fri Jun 26 2009 Automatic Build System <autodist@mambasoft.it> 4.5.2-1mamba
- automatic update to 4.5.2 by autodist

* Thu May 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.1-2mamba
- added patch that fixes a regression in SVG rendering

* Fri Apr 24 2009 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic update to 4.5.1 by autodist

* Thu Mar 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0-1mamba
- automatic update to 4.5.0 by autodist

* Sat Feb 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-4mamba
- automatic rebuild by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-3mamba
- move qdbus from devel to main package
- rebuilt against libmysql5

* Tue Oct 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-2mamba
- removed conflicts with libphonon and libphonon-devel

* Mon Sep 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-1mamba
- automatic update to 4.4.3 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.2-1mamba
- automatic update to 4.4.2 by autodist

* Fri Sep 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.1-3mamba
- libqt4-phonon: remove requirement for libqt4-devel

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 4.4.1-2mamba
- create phonon subpackage

* Wed Aug 27 2008 Aleph0 <aleph0@openmamba.org> 4.4.1-1mamba
- update to 4.4.1

* Thu May 29 2008 Aleph0 <aleph0@openmamba.org> 4.4.0-1mamba
- update to 4.4.0
- fixed libqt4-qvfb.desktop
- build QtXmlPatterns (and drop -no-g++-exceptions), Phonon, and WebKit modules.
- enabled GStreamer support

* Sat Mar 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-1mamba
- update to 4.3.4

* Fri Jan 11 2008 Aleph0 <aleph0@openmamba.org> 4.3.3-1mamba
- update to 4.3.3
- move header files to %{_includedir}/qt4 to be FHS-friendly
- move libraries to %{_libdir}
- move data files to %{_datadir}/qt4
- provide an rpm macro file: %{_sysconfdir}/rpm/macros.qt4
- create symlinks to binaries from %{_bindir}

* Mon Nov 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2-1mamba
- update to 4.3.2

* Sat Sep 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.1-3mamba
- profile: set QTDIR if not previously set and set QT4DIR

* Thu Aug 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.1-2mamba
- run ldconfig on post script

* Wed Aug 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.1-1mamba
- update to 4.3.1
- add provide for qt4-x11

* Wed Jul 04 2007 Aleph0 <aleph0@openmamba.org> 4.3.0-1mamba
- update to 4.3.0

* Wed Mar 28 2007 Davide Madrisan <davide.madrisan@qilinux.it> 4.2.3-1mamba
- update to version 4.2.3 by autospec (fixes several security issues)
- profile file renamed from libqt3 to libqt4
- use a less verbose description for the main package
- fixed url and licences info in the description of the main package
- create the %{_sysconfdir}/ld.so.conf.d/%{name}.conf file
- use sqlite system libraries instead of the qt4 private copy
- symlinks to libQtAssistantClient, libQtDesigner, and libQtDesignerComponents
  removed from the devel package to avoid broken symlinks if the package
  libqt4-designer is not installed
- qt4 plugins now require the main package with same version and release
- desktop file for designer4 modified to fit freedesktop standard
- new icon for designer4 desktop file
- removed all the unused %%define directives
- added a new menu for Qt4
- added a desktop file for assistant4 e linguist4
- enabled XShape and XKB support

* Sat Dec 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1qilnx
- update to version 4.2.2 by autospec

* Fri Oct 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.6-1qilnx
- update to version 3.3.6 by autospec

* Mon Sep 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.5-6qilnx
- added qvfb desktop menu icon

* Wed May 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.5-5qilnx
- added a dektop file for qt-designer
- fixed package license syntax

* Mon May 15 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.5-4qilnx
- add patch to increment max font size displayed (was 256 pixel = 184,
  set to 2048)

* Wed Dec 07 2005 Massimo Pintore <massimo.pintore@qilinux.it> 3.3.5-3qilnx
- added qt3 and libqt3 as provides
- added script libqt.sh in %{_sysconfdir}/profile.d/ to set environment
  variables

* Wed Dec 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.5-2qilnx
- added sqlite plugin

* Mon Sep 12 2005 Massimo Pintore <massimo.pintore@qilinux.it> 3.3.5-1qilnx
- update to version 3.3.5 by autospec
- add tools patch to build the executables qembed and qvfb

* Thu Sep 08 2005 Massimo Pintore <massimo.pintore@qilinux.it> 3.3.4-5qilnx
- rebuilt with the virtual frame buffer enabled (-qvfb)

* Wed Aug 31 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.4-4qilnx
- add visibility patch to improve performance

* Wed Aug 24 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.4-3qilnx
- rebuilt against gcc4
- fix build problem and buildkey issue with gcc4
- switched to %%majversion

* Tue Mar 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.4-2qilnx
- delete in %%pre dir %{%{qtdir}}/mkspecs/default/ because it will be
  replaced by a symlink

* Mon Mar 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.4-1qilnx
- update to version 3.3.4 by autospec

* Sat Dec 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-5qilnx
- fixes for kde plugin dir in qtrc skeleton

* Fri Dec 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-4qilnx
- documentation moved to devel package

* Fri Sep 24 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-3qilnx
- fix for qmake that was missing

* Sat Sep 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-2qilnx
- rebuilt with gcc 3.3.4 and Xorg 6.8.0

* Mon Aug 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.3-1qilnx
- update to version 3.3.3 by autospec
- bugfixes and security fixes (CAN-2004-0691, CAN-2004-0692, CAN-2004-0693)

* Thu Jul 08 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-3qilnx
- devel apps like qmake are in /usr/lib/qt3/bin and also as links in /usr/bin

* Wed Jun 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-2qilnx
- rebuilt with Xorg 6.7.0

* Tue Apr 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-1qilnx
- new version build

* Mon Nov 24 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.3-2qilnx
- moved binaries to %bindir
- moved documentation to /usr/share/qt3/doc (as looked for by kde)

* Fri Nov 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.3-1qilnx
- new version rebuild

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.2-1qilnx
- new version rebuild
- added mysql and odbc support

* Wed Sep 17 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1qilnx
- new version rebuild

* Fri Jul 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.2-4qilnx
- rebuild with postgresql plugin support

* Thu Jun 19 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.2-3qilnx
- added default profile in /etc/skel

* Sun May 25 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.2-2qilnx
- moved prefix from /usr/lib/qt to /usr/lib/qt3
- added ld.so.conf configuration
- moved designer binaries to its own package

* Wed May 21 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.2-1qilnx
- first build
